Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetTrendingStickerSets

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.TrendingStickerSets>
it.tdlight.jni.TdApi.GetTrendingStickerSets

Enclosing class:
  TdApi

public static final class TdApi.GetTrendingStickerSets extends TdApi.Function<TdApi.TrendingStickerSets>
Returns a list of trending sticker sets. For optimal performance, the number of returned sticker sets is chosen by TDLib.

Returns `TrendingStickerSets`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`limit`
The maximum number of sticker sets to be returned; up to 100.
`int`
`offset`
The offset from which to return the sticker sets; must be non-negative.
`TdApi.StickerType`
`stickerType`
Type of the sticker sets to return.

## Constructor Summary

Constructors
Constructor
Description
`GetTrendingStickerSets()`
Returns a list of trending sticker sets.
`GetTrendingStickerSets(TdApi.StickerType stickerType, int offset, int limit)`
Returns a list of trending sticker sets.
`GetTrendingStickerSets(DataInput input)`
Returns a list of trending sticker sets.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### stickerType

public TdApi.StickerType stickerType
Type of the sticker sets to return.

### offset

public int offset
The offset from which to return the sticker sets; must be non-negative.

### limit

public int limit
The maximum number of sticker sets to be returned; up to 100. For optimal performance, the number of returned sticker sets is chosen by TDLib and can be smaller than the specified limit, even if the end of the list has not been reached.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### GetTrendingStickerSets

public GetTrendingStickerSets()
Returns a list of trending sticker sets. For optimal performance, the number of returned sticker sets is chosen by TDLib.

Returns `TrendingStickerSets`

### GetTrendingStickerSets

public GetTrendingStickerSets(TdApi.StickerType stickerType, int offset, int limit)
Returns a list of trending sticker sets. For optimal performance, the number of returned sticker sets is chosen by TDLib.

Returns `TrendingStickerSets`

Parameters:
  `stickerType` - Type of the sticker sets to return.
  `offset` - The offset from which to return the sticker sets; must be non-negative.
  `limit` - The maximum number of sticker sets to be returned; up to 100. For optimal performance, the number of returned sticker sets is chosen by TDLib and can be smaller than the specified limit, even if the end of the list has not been reached.

  Returns `TrendingStickerSets`

### GetTrendingStickerSets

public GetTrendingStickerSets(DataInput input) throws IOException
Returns a list of trending sticker sets. For optimal performance, the number of returned sticker sets is chosen by TDLib.

Returns `TrendingStickerSets`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`